Package javax.help

# Class DefaultHelpModel.DefaultHighlight

java.lang.Object
javax.help.DefaultHelpModel.DefaultHighlight

All Implemented Interfaces:
  `TextHelpModel.Highlight`

Enclosing class:
  `DefaultHelpModel`

public static class DefaultHelpModel.DefaultHighlight extends Object implements TextHelpModel.Highlight
A default implementation of TextHelpModel.Highlight

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`end`
`int`
`start`

## Constructor Summary

Constructors
Constructor
Description
`DefaultHighlight(int start, int end)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`int`
`getEndOffset()`
End offset
`int`
`getStartOffset()`
Start offset

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### start

public int start

### end

public int end

## Constructor Details

### DefaultHighlight

public DefaultHighlight(int start, int end)
Constructor

## Method Details

### getStartOffset

public int getStartOffset()
Start offset

Specified by:
  `getStartOffset` in interface `TextHelpModel.Highlight`
Returns:
  The starting offset >= 0.

### getEndOffset

public int getEndOffset()
End offset

Specified by:
  `getEndOffset` in interface `TextHelpModel.Highlight`
Returns:
  The ending offset >= 0.